<?php
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$Noml=V($_POST['Noml']);
	$Nomc=V($_POST['Nomc']);		
	$Dir=V($_POST['Dir']);
	//++++
	$feHab=V($_POST['feHab']);
	$feNom=V($_POST['feNom']);
	$feRuc=V($_POST['feRuc']);
	$feDep=V($_POST['feDep']);
	$fePrv=V($_POST['fePrv']);
	$feDis=V($_POST['feDis']);
	$feUbi=V($_POST['feUbi']);
	$feDir=V($_POST['feDir']);
	$feEma=V($_POST['feEma']);
	//	
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$Noml=gs("emp_noml","empresas","id_emp=$Id");		
		$Nomc=gs("emp_nomc","empresas","id_emp=$Id");		
		$Dir=gs("emp_dir","empresas","id_emp=$Id");	
		//
		$feHab=gs("emp_fe_ele","empresas","id_emp=$Id");	
		$feNom=gs("emp_fe_nom_com","empresas","id_emp=$Id");	
		$feRuc=gs("emp_fe_ruc","empresas","id_emp=$Id");	
		$feDep=gs("emp_fe_dep","empresas","id_emp=$Id");	
		$fePrv=gs("emp_fe_prv","empresas","id_emp=$Id");	
		$feDis=gs("emp_fe_dis","empresas","id_emp=$Id");	
		$feUbi=gs("emp_fe_ubi","empresas","id_emp=$Id");	
		$feDir=gs("emp_fe_dir","empresas","id_emp=$Id");	
		$feEma=gs("emp_fe_ema","empresas","id_emp=$Id");	
		//	
		$LStrFoc="document.getElementById('Noml').focus();";		
	}
	//
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("empresas","emp_noml='$Noml'")>0){
			$LStrMsg="Nombre de la empresa ya esta registrado";
			$LStrFoc="document.getElementById('Noml').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_emp","empresas");
			$s="INSERT INTO empresas 
				VALUES ($Id,'$Noml','$Nomc','$Dir',
				'$feHab','$feNom','$feRuc','$feDep',
				'$fePrv','$feDis','$feUbi','$feDir','$feEma')";
			ejt($s);
			//
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('Noml').focus();";
			$LIMPIAR=1;
		}
	}
	if($StrCmd=="M"){
		if(GetC("empresas","emp_noml='$Noml' AND id_emp<>$StrId")>0){
			$LStrMsg="Nombre de la empresa ya esta registrado";
			$LStrFoc="document.getElementById('Noml').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$s="UPDATE empresas SET emp_noml='$Noml',
				emp_nomc='$Nomc',emp_dir='$Dir',
				emp_fe_ele='$feHab',
				emp_fe_nom_com='$feNom',
				emp_fe_ruc='$feRuc',
				emp_fe_dep='$feDep',
				emp_fe_prv='$fePrv',
				emp_fe_dis='$feDis',
				emp_fe_ubi='$feUbi',
				emp_fe_dir='$feDir',
				emp_fe_ema='$feEma'	WHERE id_emp=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('Noml').focus();";
			$LIMPIAR=1;
		}
	}
	if($StrCmd=="E"){		
		if(gn("count(*)","almacenes","alm_id_empresa=$StrId")>0){
			$LStrMsg="Una o mas almacenes relacionadas";
			$LStrFoc="document.getElementById('Noml').focus();";						
			$StrGT="S";		
		}
		///////////////////////////////////////////////////////////////////
		if(strlen($StrGT)==0){
			$s="DELETE FROM empresas WHERE id_emp=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('Noml').focus();";
			$LIMPIAR=1;
		}		
	}
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$Noml="";
		$Nomc="";
		$Dir="";
		$feHab="NO";
		$feNom="";
		$feRuc="";
		$feDep="";
		$fePrv="";
		$feDis="";
		$feUbi="";
		$feDir="";
		$feEma="";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('Noml').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>